Skip to main content
`Ctrl`+`K`

# skbio.stats.gradient.GroupResults

class skbio.stats.gradient.GroupResults(name, trajectory, mean, info, message)

  Store the trajectory results of a group of a metadata category.

  Attributes:
    name str

      The name of the group within the metadata category

    trajectory array like

      The result trajectory in an 1-D numpy array

    mean float

      The mean of the trajectory

    info dict

      Any extra information computed by the trajectory algorithm. Depends on the algorithm

    message str

      A message with information of the execution of the algorithm

  Methods

  `to_files` | Save trajectory analysis results for a category group to text format files.

  Special methods (inherited)

  `__eq__` | Return self==value.
  `__ge__` | Return self>=value.
  `__getstate__` | Helper for pickle.
  `__gt__` | Return self>value.
  `__hash__` | Return hash(self).
  `__le__` | Return self<=value.
  `__lt__` | Return self<value.
  `__ne__` | Return self!=value.
  `__str__` | Return str(self).

  Details